﻿using System;

namespace Wpf.Print.Sample.Common
{
    /// <summary>
    /// 계산을 도와주는 계산 클래스입니다
    /// </summary>
    public static class Calculator
    {
        /// <summary>
        /// Millimeter 를 Inch 로 변환합니다
        /// </summary>
        /// <param name="mm"> Millimeter </param>
        public static double MmToInch(double mm)
        {
            return mm / 25.4;
        }

        /// <summary>
        /// Inch 를 Pixel 로 변환합니다
        /// </summary>
        /// <param name="inch"> Inch </param>
        public static double InchToPixel(double inch)
        {
            return inch * 96.0;
        }

        /// <summary>
        /// Inch 에 100 을 곱한 결과를 반환합니다
        /// </summary>
        /// <param name="inch"> Inch </param>
        public static int InchToHundred(double inch)
        {
            return Convert.ToInt32(inch * 100);
        }
    }
}
