/***********************************************
* CONFIDENTIAL AND PROPRIETARY
 *
 * The source code and other information contained herein is the confidential and exclusive property of
* MANGOSLAB Corp. and is subject to the terms and conditions in your end user license agreement.
* This source code, and any other information contained herein, shall not be copied, reproduced, published,
 * displayed or distributed, in whole or in part, in any medium, by any means, for any purpose except as
* expressly permitted under such license agreement.
*
 * Copyright MANGOSLAB CO. LTD.,. 2019
*
 * ALL RIGHTS RESERVED
***********************************************/
#ifndef NEMONICDEVMODE_H
#define NEMONICDEVMODE_H

#define DRIVER_SIGNATURE 'DDDD'

#define DDI_DRIVER_VERSION_NT5 0x00030000


typedef struct {

    WORD    dmDriverVersion;    // current driver version
    WORD    dmDriverExtra;      // size of current version private devmode
    WORD    dmDriverVersion351; // 3.51 driver version
    WORD    dmDriverExtra351;   // size of 3.51 version private devmode

} DRIVER_VERSION_INFO, *PDRIVER_VERSION_INFO;




typedef struct _tagDMPRIVATE
{
	BOOL				bRotate180;  	// On or Off 
	BOOL				bDither;  	// On or Off 
	BOOL				bCutLastPage;  	// True or False 
}DMPRIVATE, *PDMPRIVATE;
#pragma pack(push,1)
typedef struct _tagNemonicDevMode
{
	DEVMODEW	DmPublic;
	DMPRIVATE	DmPrivate;
}NEMONICDEVMODE, *PNEMONICDEVMODE;
#pragma pack(pop)


//Structures used for configuring UI start here
typedef struct _stPAGESETUPDLG
{
	int nOrientation;	
	int nOrientationCmdID;
	int nRotation;
	int nRotationCmdID;
	int nCopies;
	int nCopiesCmdID;
	int nCopieSpinCmdID;
}PageSetupDlg;

/////////End UI Config Structure part

typedef struct __tagPDEVICE
{
	DWORD        dwSigStart;   // We sign our data "DDDD"
	BOOL         bDocStarted;  // DrvStartDoc flag.
	BOOL         bInPage;      // Between DrvStartPage and DrvSendPage.
	int          cPages;       // Count of pages.
	HBITMAP      hbmActual;		   // Without Text.
	HDEV         hdev;         // GDI device handle.
	HANDLE       hDriver;      // Handle to pass to WritePrinter...
	HPALETTE     hpalDefault;  // Default palette to pass to GDI.
	NEMONICDEVMODE	 Dm;
	DWORD        dwSigEnd;     // We sign our data "DDDD"
		
} PDEVICE;


#endif //NEMONICDEVMODE_H