﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Markup;
using Wpf.Print.Sample.Common;

namespace Wpf.Print.Sample.View {
    /// <summary>
    /// MainWindow.xaml에 대한 상호 작용 논리
    /// </summary>
    public partial class MainWindow : Window {
        public MainWindow() {
            InitializeComponent();
            /*
             반드시 추가해야 하는 참조 목록

            System.Management : Printer 가 Online 인지 Offline 인지 판별하기 위해 사용
            System.Printing : Print 를 위해 사용
            System.Drawing : PrinterSettings 클래스를 사용하기 위해 사용
            ReachFramework : PrintTicket 클래스를 사용하기 위해 사용
            */
        }

        private void Button_Click(object sender, RoutedEventArgs e) {
            // Control 을 복사하는 이유는 FixedPage 에 Child 로 넘겨줄 때 이미 Control 이 다른 객체의 Child 라서 Exception 이 발생하기 때문입니다
            TextBox textBox = XamlReader.Parse(XamlWriter.Save(TextBox)) as TextBox; // Control 복사
            textBox.BorderThickness = new Thickness(0);
            PrinterManager.Instance.Print(textBox, TextBox.ActualWidth, TextBox.ActualHeight, PrinterPaperModel.PaperType.P72x96); // 인쇄를 시작합니다
        }
    }
}
